package com.schoolinout.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.schoolinout.common.annotation.Excel;
import com.schoolinout.common.core.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 学生管理对象 tb_school_student
 *
 * @author sakura
 * @date 2024-01-03
 */
@TableName(value = "tb_school_student")
@Schema(name = "学生实体")
public class Student extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Long id;

    /**
     * 学校id
     */
    @Excel(name = "学校id")
    @Schema(description = "学校id")
    private Long schoolId;

    /**
     * 班级id
     */
    @Excel(name = "班级id")
    @Schema(description = "班级id")
    private Long classId;

    /**
     * 学生名称
     */
    @Excel(name = "学生名称")
    @Schema(description = "学生名称")
    private String studentName;

    /**
     * 学生照片
     */
    @Excel(name = "学生照片")
    @Schema(description = "学生照片")
    private String studentPic;

    /**
     * 学生性别
     */
    @Excel(name = "学生性别")
    @Schema(description = "学生性别")
    private String studentGender;

    /**
     * 学号
     */
    @Excel(name = "学号")
    @Schema(description = "学号")
    private String studentNum;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getClassId() {
        return classId;
    }

    public void setClassId(Long classId) {
        this.classId = classId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentPic() {
        return studentPic;
    }

    public void setStudentPic(String studentPic) {
        this.studentPic = studentPic;
    }

    public String getStudentGender() {
        return studentGender;
    }

    public void setStudentGender(String studentGender) {
        this.studentGender = studentGender;
    }

    public String getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(String studentNum) {
        this.studentNum = studentNum;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("schoolId", getSchoolId())
                .append("classId", getClassId())
                .append("studentName", getStudentName())
                .append("studentPic", getStudentPic())
                .append("studentGender", getStudentGender())
                .append("studentNum", getStudentNum())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
